javax.swing.plaf

## Class BorderUIResource.EtchedBorderUIResource

- java.lang.Object
- - javax.swing.border.AbstractBorder
  - - javax.swing.border.EtchedBorder
    - - javax.swing.plaf.BorderUIResource.EtchedBorderUIResource

- All Implemented Interfaces:
    Serializable, Border, UIResource
  Enclosing class:
    BorderUIResource

      public static class BorderUIResource.EtchedBorderUIResource
      extends EtchedBorder
      implements UIResource

- - ### Field Summary

    - ### Fields inherited from class javax.swing.border.EtchedBorder

      `etchType, highlight, LOWERED, RAISED, shadow`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EtchedBorderUIResource()` |
    `EtchedBorderUIResource(Color highlight, Color shadow)` |
    `EtchedBorderUIResource(int etchType)` |
    `EtchedBorderUIResource(int etchType, Color highlight, Color shadow)` |

  - ### Method Summary

    - ### Methods inherited from class javax.swing.border.EtchedBorder

      `getBorderInsets, getEtchType, getHighlightColor, getHighlightColor, getShadowColor, getShadowColor, isBorderOpaque, paintBorder`

    - ### Methods inherited from class javax.swing.border.AbstractBorder

      `getBaseline, getBaselineResizeBehavior, getBorderInsets, getInteriorRectangle, getInteriorRectangle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EtchedBorderUIResource

          public EtchedBorderUIResource()

    - #### EtchedBorderUIResource

          public EtchedBorderUIResource(int etchType)

    - #### EtchedBorderUIResource

          public EtchedBorderUIResource(Color highlight,
                                        Color shadow)

    - #### EtchedBorderUIResource

          @ConstructorProperties(value={"etchType","highlightColor","shadowColor"})
          public EtchedBorderUIResource(int etchType,
                                                                                                                  Color highlight,
                                                                                                                  Color shadow)

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.